livecd-tools: my changes are upstream, unforking

This commit is contained in:
Rick Farina (Zero_Chaos) 2018-03-15 13:09:29 -04:00
parent 7f1713f254
commit 5e9aaf46ed
No known key found for this signature in database
GPG key ID: A5DD1427DD11F94A
5 changed files with 0 additions and 141 deletions

View file

@ -1,2 +0,0 @@
DIST livecd-tools-2.2.tar.gz 11419 SHA256 65275aad174ac9c129617768f693830ed696d209cbf4d252553a280374b4de89 SHA512 62891c132b0f392b775116d90740ea30a546a75736b17d10e5915ededa72ed730934555cab9a0b81a6def49e687c13db3e92e1e4f325854151569ad3e814bec0 WHIRLPOOL 658b65dffa992505cd354cdaf2edd1ae2f0f421fdda6fc7afe59a3a3028bdfddfc02302f763aeb940b4281823cd38f41bb9ee2f12f5b5185c5ac593a20a0c9df
DIST livecd-tools-2.3.tar.bz2 11128 SHA256 fd611e3cc76a20543cdf752c96a1b3864a2e2945463a440929459feff79866f5 SHA512 93a5742a4cc243fee07088f5957c1eb48c2276460c391c089502eccba5bfe80b52fa7a7d058502b18086130bd8686c8c0e4af8f3f03f72c98b482776e0f225a9 WHIRLPOOL 99371ea8c650012e484dd33519245770a347497c03a013d359d0cf8570ee6127611523b93fde763621e28eedaee0e21cda0480d921da8b5d5ba1ea67c8ee8116

View file

@ -1,28 +0,0 @@
diff --git a/init.d/fixinittab b/init.d/fixinittab
index 35513a6..b394246 100644
--- a/init.d/fixinittab
+++ b/init.d/fixinittab
@@ -54,12 +54,12 @@ start()
then
for x in 0 1 2 3 4 5 6
do
- echo "c${x}:12345:respawn:/sbin/mingetty --noclear --autologin root tty${x}" >> /etc/inittab
+ echo "c${x}:12345:respawn:/sbin/mingetty --noclear --autologin `id -nu 1000 2>/dev/null || echo root` tty${x}" >> /etc/inittab
done
else
for x in 1 2 3 4 5 6
do
- echo "c${x}:12345:respawn:/sbin/mingetty --noclear --autologin root tty${x}" >> /etc/inittab
+ echo "c${x}:12345:respawn:/sbin/mingetty --noclear --autologin `id -nu 1000 2>/dev/null || echo root` tty${x}" >> /etc/inittab
done
fi
fi
@@ -78,7 +78,7 @@ start()
then
for x in 1 2 3 4 5 6
do
- echo "c${x}:12345:respawn:/sbin/mingetty --noclear --autologin root tty${x}" >> /etc/inittab
+ echo "c${x}:12345:respawn:/sbin/mingetty --noclear --autologin `id -nu 1000 2>/dev/null || echo root` tty${x}" >> /etc/inittab
done
else
eindent

View file

@ -1,51 +0,0 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
if [[ ${PV} == "9999" ]]; then
EGIT_REPO_URI="git://anongit.gentoo.org/proj/livecd-tools.git"
inherit git-r3
else
SRC_URI="https://gitweb.gentoo.org/proj/livecd-tools.git/snapshot/${P}.tar.bz2"
KEYWORDS="alpha amd64 hppa ia64 ~mips ppc ppc64 sparc x86"
fi
inherit eutils
DESCRIPTION="Gentoo LiveCD tools for autoconfiguration of hardware"
HOMEPAGE="https://www.gentoo.org"
SLOT="0"
LICENSE="GPL-2"
IUSE="pentoo"
RDEPEND="dev-util/dialog
net-dialup/mingetty
>=sys-apps/baselayout-2
>=sys-apps/openrc-0.8.2-r1
sys-apps/pciutils
sys-apps/gawk
sys-apps/sed"
pkg_setup() {
ewarn "This package is designed for use on the LiveCD only and will do"
ewarn "unspeakably horrible and unexpected things on a normal system."
ewarn "YOU HAVE BEEN WARNED!!!"
}
src_prepare() {
if use pentoo; then
epatch "${FILESDIR}"/autologin-user.patch
sed -i 's/2 3 4 5 6//' init.d/fixinittab
fi
eapply_user
}
src_install() {
doconfd conf.d/*
doinitd init.d/*
dosbin net-setup
into /
dosbin livecd-functions.sh
}

View file

@ -1,52 +0,0 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
if [[ ${PV} == "9999" ]]; then
EGIT_REPO_URI="git://anongit.gentoo.org/proj/livecd-tools.git"
inherit git-r3
else
SRC_URI="https://dev.gentoo.org/~williamh/dist/${P}.tar.gz"
KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86"
fi
inherit eutils
DESCRIPTION="Gentoo LiveCD tools for autoconfiguration of hardware"
HOMEPAGE="https://www.gentoo.org"
SLOT="0"
LICENSE="GPL-2"
IUSE="pentoo"
RDEPEND="
>=sys-apps/baselayout-2
>=sys-apps/openrc-0.8.2-r1
dev-util/dialog
net-dialup/mingetty
sys-apps/gawk
sys-apps/pciutils
sys-apps/sed
"
pkg_setup() {
ewarn "This package is designed for use on the LiveCD only and will do"
ewarn "unspeakably horrible and unexpected things on a normal system."
ewarn "YOU HAVE BEEN WARNED!!!"
}
src_prepare() {
if use pentoo; then
sed -i 's/2 3 4 5 6//' init.d/fixinittab
fi
default
}
src_install() {
doconfd conf.d/*
doinitd init.d/*
dosbin net-setup
into /
dosbin livecd-functions.sh
}

View file

@ -1,8 +0,0 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="project">
<email>livecd@gentoo.org</email>
<name>Gentoo LiveCD Project</name>
</maintainer>
</pkgmetadata>